<template>
    
    <div class="col s12 m7">
        <h2 class="header">Commentaire List</h2>
        <div v-for="comment of commentaires" :key="comment.id">
        <div class="card">

      <div class="card-stacked">
        <div class="card-content">
            <div class="flex">
                <p>{{ comment.author }}</p>
                <p>{{ comment.date_commentaire}}</p>
            </div>
            <p>{{ comment.commentaire }}</p>
        </div>
      </div>

      </div>
    </div>
    </div>


</template>

<script setup lang="ts">
import type { Commentaire } from '@/entities';
import { fetchIdArticleCommentaires} from '@/service/comentaire-service';
import { ref, watch } from 'vue';
import { useRoute } from 'vue-router';

const route = useRoute();
const commentaires = ref<Commentaire[]>([]);

watch(() => route.params.id, async () =>{
  commentaires.value = await fetchIdArticleCommentaires(route.params.id);
}, {immediate:true})

// onMounted(async()=>{
//   commentaires.value = await fetchCommentaires();
// })

</script>